routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

use App\Http\Controllers\HewanController;
Route::resource('hewan', HewanController::class);
Route::get('/print', [HewanController::class, 'print'])->name('print');

use App\Http\Controllers\PembeliController;
Route::resource('pembeli', PembeliController::class);
Route::get('/printpbl', [PembeliController::class, 'printpbl'])->name('printpbl');


use App\Http\Controllers\TransaksiController;
Route::resource('transaksi', TransaksiController::class);

use App\Http\Controllers\PembayaranController;
Route::resource('pembayaran', PembayaranController::class);
// Route::get('pembayaran/struk', PembayaranController::class, 'views');


use App\Http\Controllers\UserController;
Route::resource('user', UserController::class);

use App\Http\Controllers\StrukController;
Route::resource('struk', StrukController::class);
// use App\Http\Controllers\Pem;
// Route::resource('', StrukController::class);


Route::get('getAlamat/{id}', function ($id){
    $alamat = App\Models\PembeliModel::where('id_transaksi', $id)->get();
    return response()->json($alamat);
});

app/Http/Controllers/PembayaranController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\PembayaranModel;
use App\Models\TransaksiModel;
use App\Models\PembeliModel;
use App\Models\HewanModel;

class PembayaranController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $pembayaran = PembayaranModel::latest()->simplePaginate(20);
        return view('pembayaran.pembayaran_view', compact('pembayaran'))->with('n', 0);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()

    {
        $pbl = PembeliModel::all();
        $hwn = HewanModel::all();
        $trs_id = TransaksiModel::all();
        return view('pembayaran.create_pembayaran', compact('trs_id', 'hwn', 'pbl'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // $file_name = $request->image->getClientOriginalName();
        // $request->image->storeAs('thumbnail', $file_name);

        // $img = $request->bukti;
        // $file_name =$img->getClientOriginalName();

        // return $request->file('bukti')->store('post-bukti', $file_name);
        $this->validate($request, [
            'id_transaksi' => 'required',
            'ttl_harga' => 'required',
            'nm_pembeli' => 'required',
            'hrg_pemeliharaan' => 'required',
            'hrg_pengiriman' =>'required',
            'total'=>'required',
            'dp' => 'required',
            'sisa_pembayaran' => 'required' ,
            'bukti' => 'required|image',
            'status' => 'required'
        ]);


        PembayaranModel::create($request->all());

        $validateData = $request->validate([
            'bukti'=> 'image|file|max:5024'
        ]);

        if($request->file('bukti')){
            $validateData['bukti'] = $request->file('bukti')->store('post-bukti');
        }
        PembayaranController::create($validateData);

        return redirect('/pembayaran')->with('success!', 'Data berhasil Ditambahkan!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $trs_id = TransaksiModel::all();
        $pbl = PembeliModel::all();
        $hwn = HewanModel::all();
        $pembayaran = PembayaranModel::find($id);


        return view('pembayaran.edit_pembayaran', [
            "pembayaran" => $pembayaran,
            "trs_id" => $trs_id,
            "pbl" => $pbl,
            "hwn" => $hwn
        ]);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        PembayaranModel::where('id', $id)->update([
            "id_transaksi" => $request->id_transaksi,
            "ttl_harga" => $request->ttl_harga,
            "nm_pembeli" => $request->nm_pembeli,
            "hrg_pemeliharaan" => $request->hrg_pemeliharaan,
            "hrg_pengiriman" =>$request->hrg_pengiriman,
            "total"=> $request->total,
            "dp"=> $request->dp,
            "sisa_pembayaran"=> $request->sisa_pembayaran,
            "bukti"=> $request->bukti,
            "status"=> $request->status,

            
        ]);
        return redirect('/pembayaran')->with('success!', 'Data berhasil Di Update!');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        PembayaranModel::where('id', $id)->delete();

        return redirect('/pembayaran');
    }

    public function views($id){
        return views('pembayaran.struk');
    }
}

resources/views/pembayaran/create_pembayaran.blade.php
@extends('master')
@section('content')

<div class="content">
    <a class="navbar-brand" href="javascript:;">Pembayaran </a><br>
    <div class="card-body">
        <form method="POST" action="/pembayaran" enctype="multipart/form-data">
            @csrf
               
                        <div class="form-group">
                                <label for="id_transaksi">Id Transaksi</label>
                                <select name="id_transaksi" id="id_transaksi" class="form-control @error('id_transaksi') is-invalid
                                @enderror">
                                    <option value="">-- Pilih --</option>
                                    @foreach ($trs_id as $row)
                                    <option value="{{ $row->id }}">TRS{{ $row->id }}</option>
                                    @endforeach
                                  </select>
                                {{-- <input id="id_transaksi" name="id_transaksi" class="form-control"> --}}
                                @error('id_transaksi')
                                  <span class="text-danger">{{ $message }}</span>
                                @enderror
                      </div>

                      <div class="form-group">
                        <label for="nm_pembeli">Nama Pembeli</label>
                        <select name="nm_pembeli" id="nm_pembeli" class="form-control" @error('nm_pembeli') is-invalid
                        @enderror>
                            <option value="">-- Pilih --</option>
                            @foreach ($pbl as $row)
                            <option value="{{ $row->nm_pembeli }}">{{ $row->nm_pembeli }}</option>
                            @endforeach
                          </select>
                        {{-- <input id="id_transaksi" name="id_transaksi" class="form-control"> --}}
                      </div>

                      <div class="form-group">
                        <label for="ttl_harga">Total Harga</label>
                                <select onchange="hit();" name="ttl_harga" id="ttl_harga" class="form-control">
                                    <option value="">-- Pilih --</option>
                                    @foreach ($trs_id as $row)
                                    <option value="{{ $row->total_harga }}">{{ $row->total_harga }}</option>
                                    @endforeach
                                  </select>
                      </div>
        
                      <div class="form-group">
                        <label for="hrg_pemeliharaan">Harga Pemeliharaan</label>
                        <input value="" onchange="hit();" id="hrg_pemeliharaan" name="hrg_pemeliharaan" class="form-control">
                      </div>

                      <div class="form-group">
                        <label for="hrg_pengiriman">Harga Pengiriman</label>
                        <input value="" onchange="hit();" id="hrg_pengiriman" name="hrg_pengiriman" class="form-control">
                      </div>

                      <div class="form-group">
                        <label for="total">Total Keseluruhan</label>
                        <input value="0"  id="total" name="total" class="form-control" readonly>
                      </div>

                      <div class="form-group">
                        <label for="dp">Down Payment / Jumlah Bayar</label>
                        <input value="" onchange="hit();" id="dp" name="dp" class="form-control">
                      </div>
                      
                      <div class="form-group">
                        <label for="sisa_pemayaran">Sisa Pembayaran</label>
                        <input value="0"  id="sisa_pembayaran" name="sisa_pembayaran" class="form-control" readonly>
                      </div>

                      <div class="form-group">
                        <label for="bukti">Bukti Pembayaran</label>
                        @error('bukti')
                        <div class="alert alert-danger">
                            <p>{{ $message }}</p>
                        </div>
                        @enderror
                        <input type="file" id="bukti" @error('bukti') is-invalid @enderror name="bukti" class="form-control">
                    </div>

                    <div class="form-group">
                        <label for="status">Status</label>
                        <select id="status" name="status" class="form-control">
                            <option value="0"> </option>
                            <option value="Belum Lunas">Belum Lunas</option>
                            <option value="Lunas Sebagian">Lunas Sebagian</option>
                            <option value="Lunas">Lunas</option>
                        </select>
                    </div>
              
               
              <div class="row">
                <div class="col-sm-2">
                  <button type="submit" class="btn-sm btn-primary">Submit</button>
                </div>
        </form>
        <div class="col-sm-1">
        <form action="/pembayaran" method="GET">
          <button type="submit" class="btn-sm btn-success">Back</button>
        </form>
        </div>
    </div>
        {{-- <a href="/pembeli" type="button" class="btn-sm btn-success">Back</a> --}}

    </div>
</div>
@endsection

<script type="text/javascript">

function hit(){
var ttl_harga = document.getElementById('ttl_harga').value;
var pm = document.getElementById('hrg_pemeliharaan').value;
var pg = document.getElementById('hrg_pengiriman').value;

var total = parseInt(ttl_harga) + parseInt(pm) + parseInt(pg);
var dp = document.getElementById('dp').value;

sisa = parseInt(total) - parseInt(dp);

if(!isNaN(total)){
document.getElementById('total').value = total;
}

if(!isNaN(sisa)){
document.getElementById('sisa_pembayaran').value = sisa;
}


//     var ttl = document.getElementById('ttl_harga');
//     var pm = document.getElementById('hrg_pemeliharaan');
//     var pg = document.getElementById('hrg_pengiriman');

//     var tk = parseInt(ttl) + parseInt(pm) + parseInt(pg);
//     var dp = document.getElementById('dp');

//     var sp = tk - dp;

//     if(!isNaN(tk)){
//      document.getElementById('total').value = tk;
//     }
   

//    if(!isNaN(sp)){
//      document.getElementById('sisa_pembayaran').value = sp;
//    }
}

</script>

resources/views/pembayaran/edit_pembayaran.blade.php
@extends('master')
@section('content')

<div class="content">
    <a class="navbar-brand" href="javascript:;">Pembayaran </a><br>
    <div class="card-body">
        <form method="POST" action="/pembayaran/{{ $pembayaran->id }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
               
                        <div class="form-group">
                                <label for="id_transaksi">Id Transaksi</label>
                                <select name="id_transaksi" id="id_transaksi" class="form-control">
                                    <option value="">-- Pilih --</option>
                                    @foreach ($trs_id as $row)
                                    <option value="{{ $row->id }}" {{ $pembayaran->id_transaksi == $row->id ? 'selected' : '' }}>TRS{{ $row->id }}</option>
                                    @endforeach
                                  </select>
                                {{-- <input id="id_transaksi" name="id_transaksi" class="form-control"> --}}
                      </div>

                      <div class="form-group">
                        <label for="nm_pembeli">Nama Pembeli</label>
                        <select name="nm_pembeli" id="nm_pembeli" class="form-control">
                            <option value="">-- Pilih --</option>
                            @foreach ($pbl as $row)
                            <option value="{{ $row->nm_pembeli }}" {{ $pembayaran->nm_pembeli == $row->nm_pembeli ? 'selected' : '' }}>{{ $row->nm_pembeli }}</option>
                            @endforeach
                          </select>
                        {{-- <input id="id_transaksi" name="id_transaksi" class="form-control"> --}}
                      </div>

                      <div class="form-group">
                        <label for="ttl_harga">Total Harga</label>
                                <select onchange="hit();" name="ttl_harga" id="ttl_harga" class="form-control">
                                    <option value="">-- Pilih --</option>
                                    @foreach ($trs_id as $row)
                                    <option value="{{ $row->total_harga }}" {{ $pembayaran->ttl_harga == $row->total_harga ? 'selected' : '' }}>{{ $row->total_harga }}</option>
                                    @endforeach
                                  </select>
                      </div>
        
                      <div class="form-group">
                        <label for="hrg_pemeliharaan">Harga Pemeliharaan</label>
                        <input value="{{ $pembayaran->hrg_pemeliharaan }}" onchange="hit();" id="hrg_pemeliharaan" name="hrg_pemeliharaan" class="form-control">
                      </div>

                      <div class="form-group">
                        <label for="hrg_pengiriman">Harga Pengiriman</label>
                        <input value="{{ $pembayaran->hrg_pengiriman }}" onchange="hit();" id="hrg_pengiriman" name="hrg_pengiriman" class="form-control">
                      </div>

                      <div class="form-group">
                        <label for="total">Total Keseluruhan</label>
                        <input value="{{ $pembayaran->total }}"  id="total" name="total" class="form-control" readonly>
                      </div>

                      <div class="form-group">
                        <label for="dp">Down Payment</label>
                        <input value="{{ $pembayaran->dp }}" onchange="hit();" id="dp" name="dp" class="form-control">
                      </div>
                      
                      <div class="form-group">
                        <label for="sisa_pemayaran">Sisa Pembayaran</label>
                        <input value="{{ $pembayaran->sisa_pembayaran }}"  id="sisa_pembayaran" name="sisa_pembayaran" class="form-control" readonly>
                      </div>

                      <div class="form-group">
                        <label for="bukti">Bukti Pembayaran</label>
                        @error('bukti')
                        <div class="alert alert-danger">
                            <p>{{ $message }}</p>
                        </div>
                        @enderror
                        <input value="{{ $pembayaran->bukti }}" type="file" id="bukti" @error('bukti') is-invalid @enderror name="bukti" class="form-control">
                    </div>

                    <div class="form-group">
                        <label for="status">Status</label>
                        <select id="status" name="status" class="form-control">
                            <option value="0"> </option>
                            <option value="Belum Lunas" {{ $pembayaran->status == "Belum Lunas" ? 'selected' : '' }}>Belum Lunas</option>
                            <option value="Lunas Sebagian" {{ $pembayaran->status == "Lunas Sebagian" ? 'selected' : '' }}>Lunas Sebagian</option>
                            <option value="Lunas" {{ $pembayaran->status == "Lunas" ? 'selected' : '' }}>Lunas</option>
                        </select>
                    </div>
              
               
              <div class="row">
                <div class="col-sm-2">
                  <button type="submit" class="btn-sm btn-primary">Submit</button>
                </form>
                </div>
        
            <div class="col-sm-1">
                <form action="/pembayaran" method="GET">
                  <button type="submit" class="btn-sm btn-success">Back</button>
                </form>
                </div>
               </div>
    </div>
</div>
@endsection

<script type="text/javascript">

function hit(){
var ttl_harga = document.getElementById('ttl_harga').value;
var pm = document.getElementById('hrg_pemeliharaan').value;
var pg = document.getElementById('hrg_pengiriman').value;

var total = parseInt(ttl_harga) + parseInt(pm) + parseInt(pg);
var dp = document.getElementById('dp').value;

sisa = parseInt(total) - parseInt(dp);

if(!isNaN(total)){
document.getElementById('total').value = total;
}

if(!isNaN(sisa)){
document.getElementById('sisa_pembayaran').value = sisa;
}


//     var ttl = document.getElementById('ttl_harga');
//     var pm = document.getElementById('hrg_pemeliharaan');
//     var pg = document.getElementById('hrg_pengiriman');

//     var tk = parseInt(ttl) + parseInt(pm) + parseInt(pg);
//     var dp = document.getElementById('dp');

//     var sp = tk - dp;

//     if(!isNaN(tk)){
//      document.getElementById('total').value = tk;
//     }
   

//    if(!isNaN(sp)){
//      document.getElementById('sisa_pembayaran').value = sp;
//    }
}

</script>

resources/views/pembayaran/pembayaran_view.blade.php
@extends('master')
@section('content')
    <div class="content">
    <a class="navbar-brand" href="javascript:;">Data Pembayaran </a><br>
    <form method="GET" action="/pembayaran/create">
      <button type="submit" class="btn-sm btn-success"><i class="nc-icon nc-simple-add"></i> Tambah Data</button>
      </form>
    {{-- <button class="btn-sm btn-warning mx-2"><i class="nc-icon nc-credit-card"></i> Print Data</button> --}}
    <table class="table">
        <thead>
          <tr>
            <th scope="col">No</th>
            <th scope="col">ID</th>
            <th scope="col">IDTRS</th>
            <th scope="col">Total Harga</th>
            <th scope="col">Grand Total</th>
            <th scope="col">Sisa Pembayaran</th>
            <th scope="col">Status</th>
            <th scope="col">Aksi</th>
          </tr>
        </thead>
        <tbody>
            @foreach ($pembayaran as $row)
            <tr>
                <td scope="row">{{ ++$n}}</td>
                <td>BY{{ $row->id }}</td>
                <td>TRS{{ $row->id_transaksi }}</td>
                <td>{{ $row->ttl_harga }}</td>
                <td>{{ $row->total }}</td>
                <td>{{ $row->sisa_pembayaran }}</td>
                <td>{{ $row->status }}</td>
                <td>
                  <div class="row">
                    {{-- <div class="col-sm-3">
                      <button type="button" class="btn-sm btn-primary" data-toggle="modal" data-target="#exampleModal">
                        <i class="nc-icon nc-album-2"></i>
                      </button>
                      
                      <!-- Modal -->
                      <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                          <div class="modal-content">
                            <div class="modal-header">
                              <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                              </button>
                            </div>
                            <div class="modal-body">
                              @if ($row->bukti)
                              <img src="{{ asset('storage/post-bukti'.$row->bukti) }}" alt="{{ $row->bukti }}">
                              @endif
                            </div>
                          </div>
                        </div>
                      </div>
                    </div> --}}
                    <div class="col-sm-3">
                      <form action="/pembayaran/{{ $row->id }}/edit" method="GET">
                        <button type="submit" class="btn-sm btn-primary"><i class="nc-icon nc-tile-56"></i></button>
                      </form>
                      {{-- <a type="button" href="/pembeli/{{ $row->id }}/edit" class="btn-sm btn-primary"><i class="nc-icon nc-tile-56"></i></a> --}}
                    </div>
                    <div class="col-sm-3 mx-2">
                      <form action="/pembayaran/{{ $row->id }}" method="POST">
                        @method('DELETE')
                        @csrf
                      <button onclick="return confirm('Apakah Anda Yakin Data Akan Dihapus?')" type="submit" class="btn-sm btn-danger "><i class="nc-icon nc-simple-remove"></i></button>
                      </form>
                    </div>
                      <div class="col-sm-3">
                        <form action="{{ route('struk.show', $row->id) }}" method="GET">
                        <button type="submit" class="btn-sm btn-warning"><i class="nc-icon nc-credit-card"></i></button>
                      </form>
                        {{-- <a href="{{ route('struk.show', $row->id) }}" class="btn-sm btn-warning"><i class="nc-icon nc-credit-card"></i></a> --}}
                        {{-- <form action="/pembayaran/struk/{{ $row->id }}" method="GET">
                        <button type="submit" class="btn-sm btn-warning"><i class="nc-icon nc-credit-card"></i></button>
                        </form> --}}
                    </div>
                  </div>
                </td>
              </tr>
            @endforeach
         
        </tbody>
      </table>
    @endsection

resources/views/pembayaran/struk_view.blade.php
  <link href="{{ '/assets/css/struk.css' }}" rel="stylesheet" />
  <link rel="stylesheet" href="{{ 'assets/css/login.css' }}">


<table class="body-wrap">
    <tbody><tr>
        <td></td>
        <td class="container" width="600">
            <div class="content">
                <table class="main" width="100%" cellpadding="0" cellspacing="0">
                    <tbody><tr>
                        <td class="content-wrap aligncenter">
                            <table width="100%" cellpadding="0" cellspacing="0">
                                <tbody>
                                    <tr>
                                        <div class="brand-wrapper col-sm-1">
                                            <img src="{{ '/assets/img/circler.png' }}" width="10%" alt="logo" class="logo">
                                          </div>
                                          <div class="col">
                                            <p class="brand">Alesha Dhaniyyah</p>
                                          </div>
                                    </tr>
                                    
                                    <tr>
                                    <td class="content-block">
                                        <h2>Thanks for Order</h2>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="content-block">
                                        <table class="invoice">
                                            <tbody><tr>
                                                   <p> Id Pembayaran : BY{{ $pembayaran->id }}</p> 
                                                   <p>Id Transaksi : TRS{{ $pembayaran->id_transaksi }}</p>
                                                    <p> Nama Pembeli : {{ $pembayaran->nm_pembeli }}</p>
                                                    
                                                </td>
                                               
                                            </tr>
                                            <tr>
                                                <td>
                                                    <table class="invoice-items" cellpadding="0" cellspacing="0">
                                                        <tbody><tr>
                                                            <td>Harga Hewan</td>
                                                            <td class="alignright">Rp {{ $pembayaran->ttl_harga }}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Harga Pemeliharaan</td>
                                                            <td class="alignright">Rp {{ $pembayaran->hrg_pemeliharaan }}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Harga Pengiriman</td>
                                                            <td class="alignright">Rp {{ $pembayaran->hrg_pengiriman }}</td>
                                                        </tr>

                                                        <tr>
                                                            <td>Grand Total</td>
                                                            <td class="alignright">Rp {{ $pembayaran->total }}</td>
                                                        </tr>

                                                        <tr>
                                                            <td>Down Payment</td>
                                                            <td class="alignright">Rp {{ $pembayaran->dp }}</td>
                                                        </tr>

                                
                                                        <tr class="total">
                                                            <td class="alignright" width="80%">Sisa Tagihan</td>
                                                            <td class="alignright">Rp {{ $pembayaran->sisa_pembayaran }}</td>
                                                        </tr>
                                                    </tbody></table>
                                                </td>
                                            </tr>
                                        </tbody></table>
                                    </td>
                                </tr>
                                
                            </tbody></table>
                        </td>
                    </tr>
                </tbody></table>
               
        </td>
        <td></td>
    </tr>
</tbody></table>

<script>
    window.print();
</script>